%define upstream_name    Devel-Callsite
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Get caller return OP or Interp address
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
The _callsite()_ function returns the the OP address of the caller, a
number, one level up from where it was called. It's useful for functions
that need to uniquely know where they were called, such as
_Every::every()_; see the Every manpage. Or it can be used to the pinpoint
a location with finer granularity than a line number. In conjunction
with an OP tree disassembly you can know exactly where the caller is
located in the Perl source.

The _context()_ function returns the interpreter context as a number. This
is a fairly unique number together with the call site.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Nov 30 2023 tv <tv> 1.0.1-11.mga10
+ Revision: 2011618
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.0.1-10.mga9
+ Revision: 1861778
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.0.1-9.mga9
+ Revision: 1795671
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.0.1-8.mga9
+ Revision: 1726549
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.0.1-7.mga8
+ Revision: 1594529
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-6.mga8
+ Revision: 1529008
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.0.1-5.mga8
+ Revision: 1432896
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.1-4.mga7
+ Revision: 1292748
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.0.1-3.mga7
+ Revision: 1249325
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Wed Aug 01 2018 tv <tv> 1.0.1-1.mga7
+ Revision: 1246503
- update to 1.0.1

* Mon Oct 02 2017 tv <tv> 0.100.0-3.mga7
+ Revision: 1164053
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.100.0-2.mga7
+ Revision: 1148937
- Rebuild for perl ABI changes

* Fri Aug 18 2017 sander85 <sander85> 0.100.0-1.mga7
+ Revision: 1141589
- update to 0.10

* Sat Jul 22 2017 neoclust <neoclust> 0.80.0-8.mga7
+ Revision: 1127073
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1025491
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 957142
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.80.0-5.mga6
+ Revision: 843810
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 746249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 684303
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 631055
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 602864
- update to 0.08

* Mon Oct 21 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 539479
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 492160
- update to 0.07

* Wed May 29 2013 jquelin <jquelin> 0.60.0-3.mga4
+ Revision: 430640
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 302377
- imported package perl-Devel-Callsite

